#!/usr/bin/python3

import serial
import time

ser = serial.Serial('/dev/ttyUSB3', 9600, timeout=None, xonxoff=False, rtscts=False, dsrdtr=False)
ser.flush()

def send_at_command(command):
    ser.write((command + '\r\n').encode())
    time.sleep(1)
    ser.read(ser.in_waiting).decode()  # Read and discard the response

def execute_cfun_commands():
    # Execute AT+CFUN=0
    send_at_command('AT+CFUN=0')

    # Execute AT+CFUN=1
    send_at_command('AT+CFUN=1')

def main():
    execute_cfun_commands()
    ser.close()

if __name__ == "__main__":
    main()
